#import "../fragments/vulnerability.fragment.graphql"
#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query groupVulnerabilities(
  $fullPath: ID!
  $before: String
  $after: String
  $first: Int = 20
  $last: Int
  $projectId: [ID!]
  $severity: [VulnerabilitySeverity!]
  $reportType: [VulnerabilityReportType!]
  $scanner: [String!]
  $scannerId: [VulnerabilitiesScannerID!]
  $state: [VulnerabilityState!]
  $dismissalReason: [VulnerabilityDismissalReason!]
  $sort: VulnerabilitySort
  $hasIssues: Boolean
  $hasResolution: Boolean
  $hasMergeRequest: Boolean
  $hasRemediations: Boolean
  $hasAiResolution: Boolean
  $vetEnabled: Boolean = false
  $clusterAgentId: [ClustersAgentID!]
  $owaspTopTen: [VulnerabilityOwaspTop10!]
) {
  group(fullPath: $fullPath) {
    id
    vulnerabilities(
      before: $before
      after: $after
      first: $first
      last: $last
      severity: $severity
      reportType: $reportType
      scanner: $scanner
      scannerId: $scannerId
      state: $state
      dismissalReason: $dismissalReason
      projectId: $projectId
      sort: $sort
      hasIssues: $hasIssues
      hasResolution: $hasResolution
      hasMergeRequest: $hasMergeRequest
      hasRemediations: $hasRemediations
      hasAiResolution: $hasAiResolution
      clusterAgentId: $clusterAgentId
      owaspTopTen: $owaspTopTen
    ) {
      nodes {
        ...VulnerabilityFragment
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
